Subject: Re: bug#57507: Regular expression matching depends on locale encoding

From: Ludovic Courtès <[email-masked]>
Date: Mon, 05 Sep 2022 09:48:36 +0200

Hi Jean,

Jean Abou Samra <[email-masked]> skribis:

> Regular expressions do funky things with Unicode if a non-Unicode-aware
> locale is set. Yet, they're purely string operations, so I don't think
> it's expected that they depend on the locale encoding.

This is the expected behavior: first because (ice-9 regex) is
implemented in terms of the libc regex functions, as Dale put (but that
could be thought as an implementation detail), and second because things
such as character classes are necessarily locale-dependent (this has
bitten us in the past, for instance with <https://bugs.gnu.org/35785>).

I hope that makes sense.

Thanks,
Ludo’.